Skip to content
Hexel StudioDocs

Create approval workflow

POST/approvals/workflows

The workflow is created in the caller's organization. approver_role, when set, must be org_owner, org_admin, org_member, org_viewer or the id of a permission set of the organization (400 otherwise).

Headers

Bearer <token>.

Body parameters

Workflow

approver_roleoptional string
approver_user_idsoptional array of string
created_atoptional string
descriptionoptional string
idoptional string
is_enabledoptional boolean
min_approvalsoptional integer
nameoptional string
organization_idoptional string
requires_approvaloptional boolean
scope_idoptional string
scope_typeoptional string
updated_atoptional string
workflow_typeoptional string

Returns

201CreatedApprovalWorkflow

approver_roleoptional string
approver_user_idsoptional array of string
created_atoptional string
descriptionoptional string
idoptional string
is_enabledoptional boolean
min_approvalsoptional integer
nameoptional string
organization_idoptional string
requires_approvaloptional boolean
scope_idoptional string
scope_typeoptional string
updated_atoptional string
workflow_typeoptional string

Errors

  • 400Bad Request